.h2,
h2 {
    font-size: 27px;
    margin-bottom: 20px;
}

.back {
    color: #007bff;
    font-size: 18px;
    display: block;
    margin: 0 0 15px 0;
}

.back span {
    text-decoration: underline;
}

.pull-right {
    float: right;
}

.ck-editor__editable,
textarea {
    min-height: 150px;
}

.datatable {
    width: 100% !important;
}

/*.dataTables_length,*/
/*.dataTables_filter,*/
/*.dt-buttons {*/
/*    margin-bottom: 0.333em;*/
/*}*/

.dt-buttons .btn {
    margin-left: 0.333em;
    border-radius: 0;
}

.table.datatable {
    box-sizing: border-box;
    border-collapse: collapse;
}

table.dataTable thead th {
    border-bottom: 2px solid #dee2e6;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: 1px solid #dee2e6;
}

.select2 {
    max-width: 100%;
    width: 100% !important;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc {
    /*background-image: none;*/
}

.btn-group-xs > .btn,
.btn-xs {
    padding: 1px 5px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

/*.content-wrapper{ padding:20px; }*/
.btn {
    margin: 10px 0;
    line-height: 1;
}

.label-success {
    padding: 0 5px;
}

.permission-parent {
    min-width: 175px;
    margin-bottom: 20px;
    /*border-bottom: 1px solid;*/
}

.permission-child {
    min-width: 115px;
    font-weight: normal !important;
    /*border-bottom: 1px solid;*/
}

@media screen and (max-width: 1240px) {
    .permission-parent {
        min-width: 160px;
    }

    .permission-child {
        min-width: 75px;
    }
}

@media screen and (max-width: 576px) {
    .permission-parent {
        display: block;
        margin-bottom: 5px;
    }

    .permission-child {
        min-width: 85px;
        margin-bottom: 15px;
    }
}

.content-wrapper {
    background: #fff;
}

.list-image {
    width: 100px;
}

.company-name {
    color: #444;
    font-weight: bold !important;
    font-size: 27px;
}

.profile-menu {
    position: absolute;
    right: 160px;
    top: 1px;
    margin-top: 3px;
    border-right: 1px solid #ccc;
}

/*.company-logo{*/
/*    margin: 10px;*/
/*    padding-top: 10px;*/
/*}*/

/*.nav-sidebar>.nav-item{*/
/*border-bottom: 1px solid #ccc;*/
/*}*/

.price-changeable-note {
    font-size: 12px;
}

.price-line-through {
    position: relative;
    display: inline-block;
}

.price-line-through::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 3px;
    background-color: red;
    transform: rotate(5deg);
}

.pull-left {
    float: left;
}

.selected-products-select-div {
    float: left;
    margin-right: 10px;
    width: auto;
}

.selected-products-submit {
    margin-top: 30px;
    padding-top: 20px;
    display: block;
}

.has-error .form-control {
    border-color: red;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
}

.invalid-feedback {
    display: none;
    width: 100%;
    margin-top: 0.25rem;
    font-size: 80%;
    color: #dc3545;
}

.location-menu select#location-value {
    display: inline-block;
    width: 130px;
}

.location-menu .btn {
    padding-top: 9px;
    padding-bottom: 9px;
    margin-top: 7px;
}

select#cartListTable_filterSelect6,
select#productListTable_filterSelect6,
select#usersListTable_filterSelect7 {
    width: 170px;
    float: left;
    margin-right: 10px;
}

select#cartListTable_filterSelect5,
select#productListTable_filterSelect5 {
    /* max-width: 100px !important; */
}

.popover-dismiss,
.popover-dismiss:hover,
.popover-dismiss:focus {
    background: #494646;
    border-radius: 10px;
    padding: 0px 5px 0px 5px;
    font-size: 12px;
    color: #fff !important;
    line-height: 0;
    cursor: help;
}

li.nav-item a i {
    color: white;
    font-size: 18px;
}

.order-status-badge {
    color: #fff;
    padding: 5px;
}

table.table-total {
    float: right;
    width: 46%;
}

table.table-total tr {
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    height: 50px;
}

.invoice-title h2,
.invoice-title h3 {
    display: inline-block;
}

.table > tbody > tr > .no-line {
    border-top: none;
}

.table > thead > tr > .no-line {
    border-bottom: none;
}

.table > tbody > tr > .thick-line {
    border-top: 2px solid;
}

button.pdf-btn {
    margin-left: 15px;
    margin-top: 0px;
}

.panel-heading {
    padding-bottom: 15px;
}

.selected-products-parent {
    clear: both;
}

#no-of-available-products {
    clear: both;
}

.qtyProduct {
    width: 70px;
}

.qty-main {
    width: 230px;
    margin-left: 0px;
    float: left;
}

#selected-products-set {
    float: left;
}

#selected-products {
    margin-top: 10px;
    float: left;
}

table.table-total tr > td:last-of-type {
    text-align: right;
}

/*scrollbar style*/

/*#custom-scroll::-webkit-scrollbar-track {*/
/*    -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.3);*/
/*    border-radius: 5px;*/
/*    background-color: #F5F5F5;*/
/*}*/

/*#custom-scroll::-webkit-scrollbar {*/
/*    width: 8px;*/
/*    background-color: #F5F5F5;*/
/*}*/

/*#custom-scroll::-webkit-scrollbar-thumb {*/
/*    border-radius: 5px;*/
/*    -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, .3);*/
/*    background-color: #9A9B9E;*/
/*}*/

/*#custom-scroll {*/
/*    scrollbar-width: thin;*/
/*}*/

.logo-image {
    margin-top: 20px;
}

.menu-open > .nav-link .right {
    -ms-transform: rotate(90deg) !important;
    transform: rotate(90deg) !important;
}

.nav-link > p > .right {
    top: 20px !important;
}

.alert {
    margin-bottom: 0;
}

fieldset.scheduler-border {
    border: 1px solid #eceff6 !important;
    padding: 0 1.4em 1.4em 1.4em !important;
    margin: 0 0 1.5em 0 !important;
    -webkit-box-shadow: 0px 0px 0px 0px #f0f3f8;
    box-shadow: 0px 0px 0px 0px #eef1f7;
}

legend.scheduler-border {
    font-size: 1.2em !important;
    font-weight: bold !important;
    text-align: left !important;
    width: auto;
    padding: 0 10px;
    border-bottom: none;
}

select[readonly].select2-hidden-accessible + .select2-container {
    pointer-events: none;
    touch-action: none;
}

select[readonly].select2-hidden-accessible
    + .select2-container
    .select2-selection {
    background: #eee;
    box-shadow: none;
}

select[readonly].select2-hidden-accessible
    + .select2-container
    .select2-selection__arrow,
select[readonly].select2-hidden-accessible
    + .select2-container
    .select2-selection__clear {
    display: none;
}

.show-view .bg-img {
    width: 100px;
    height: 160px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border: 1px solid #ccc;
}

tr.clickable-row {
    cursor: pointer;
}

/*
.badge-success {
    color: #28a745;
    background-color: transparent;
}

.badge.badge-success {
    padding: 0;
} */

.cap {
    text-transform: capitalize;
}

.usersListTable_filterSelect {
    width: 150px;
}

.icon-edit-white,
.icon--white,
.icon-save-white {
    display: none !important;
}

/*custom toggle css*/

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
    float: left;
}

/* Hide default HTML checkbox */
.switch input {
    display: none;
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

input.primary:checked + .slider {
    background-color: #2196f3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.nav.pagination {
    display: none;
}

.image-block {
    border: 1px solid #ccc;
}

.image-block .img-container {
    box-shadow: none !important;
}

.discount-datetime {
    width: 120px;
    float: left;
    margin-right: 5px;
}

.red-bell {
    font-size: 10px;
    border-radius: 10px;
    position: relative;
    top: -5px;
    right: -9px;
    padding: 0 3px;
    border-color: red;
}

.dataTables_scrollBody {
    /* overflow: hidden !important; */
}

.clickable-row {
    /* color: #3366FF;
    text-decoration: unset;
    cursor: pointer; */
}

.actionsBtn {
    display: none;
}

/*#productListTable tbody tr td:nth-child(3) {*/
/*      display: block;*/
/*      white-space: nowrap;*/
/*      overflow: hidden;*/
/*      text-overflow: ellipsis;*/
/*      max-width: 170px;*/
/*      height: 35px;*/
/*  }*/

/*#productListTable tbody tr td:nth-child(5) {*/
/*    display: block;*/
/*    white-space: nowrap;*/
/*    overflow: hidden;*/
/*    text-overflow: ellipsis;*/
/*    max-width: 170px;*/
/*    height: 35px;*/
/*}*/

#productListTable tbody tr td:nth-child(4) a {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 170px;
}

.form-control[readonly]:not(.editable),
.form-control:disabled {
    color: #000000 !important;
}

select[readonly].select2-hidden-accessible
    + .select2-container
    .select2-selection
    .select2-selection__rendered {
    color: #000000 !important;
}

.page-edit .mainDiv .formDiv .formRow:not(:last-child) {
    margin-bottom: 8px;
    padding-bottom: 20px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

button#addmore {
    margin: 0;
}
.widget-2 .badge {
    padding: 0.25em 0.4em !important;
}
.widget-2 .bg-primary {
    background-color: #007bff !important;
}
.widget-2.card .nav.flex-column:not(.nav-sidebar) > li {
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
    margin: 0;
}
.widget-2.card .flex-column {
    margin-bottom: 0;
}

.sitemap-grid {
    grid-column-gap: 4rem;
    grid-row-gap: 4rem;
    /*-ms-grid-rows: auto;*/
    grid-template-rows: auto;
}

.sitemap-grid.is-b2b {
    grid-column-gap: 6rem;
    grid-row-gap: 6rem;
}

.sitemap-title {
    font-size: 0.75rem;
    font-weight: 600;
}

.sitemap-content {
    margin-bottom: 1.75rem;
}

.sitemap-subtitle {
    margin-bottom: 1rem;
    padding-left: 2rem;
    color: #98a2b3;
    font-size: 0.875rem;
    font-weight: 500;
}

.sitemap-innertitle {
    margin-bottom: 0.75rem;
    padding-left: 4rem;
    color: #98a2b3;
    font-size: 0.875rem;
    font-weight: 500;
}

.sitemap-wrap {
    margin-top: 2rem;
    margin-right: auto;
    margin-left: auto;
}

.is-sitemap-content {
    padding-bottom: 0px;
    grid-auto-flow: row;
    grid-column-gap: 2.75rem;
    grid-row-gap: 2.75rem;
    /*-ms-grid-columns: 1fr;*/
    grid-template-columns: 1fr;
}
